Subject: F3\FLOW3\Error\Exception thrown in file ErrorHandler.php
Description

Warning: touch() [<a href='function.touch'>function.touch</a>]: Unable to create file
C:/xampp/htdocs/FLOW3/Data/Temporary/a5785fc0b2b4/Cache/Tags/%CLASS%F3_FLOW3_Security_Authentication_Provider_PersistedUsernamePasswordProvider/FLOW3_AOP_ProxyClassCodes^F3_FLOW3_Security_Authentica
sistedUsernamePasswordProvider/FLOW3_AOP_ProxyClassCodes^F3_FLOW3_Security_Authentication_Provider_PersistedUsernamePasswordProvider_AOPProxy_Development because No such file or directory in C:\xampp\htdocs\FLOW3\Packages\Framework\FLOW3\Classes\Cache\Backend\FileBackend.php line 208
mePasswordProvider_AOPProxy_Development because No such file or directory in
C:\xampp\htdocs\FLOW3\Packages\Framework\FLOW3\Classes\Cache\Backend\FileBackend.php line 208
9 F3\FLOW3\Error\ErrorHandler::handleError(2, "touch() [<a href='function.touch'>function.touch</…roxy_Development because No
such file or directory", "C:\xampp\htdocs\FLOW3\Packages\Framework\FLOW3\Classes\Cache\Backend\FileBackend.php", 208,
array)
8 touch("C:/xampp/htdocs/FLOW3/Data/Temporary/a5785fc0b2b4/…istedUsernamePasswordProvider_AOPProxy_Development")
7
F3\FLOW3\Cache\Backend\FileBackend::setTag("F3_FLOW3_Security_Authentication_Provider_PersistedUsernamePasswordProvide
er_AOPProxy_Development", "%CLASS%F3_FLOW3_Security_Authentication_Provider_PersistedUsernamePasswordProvider")
6
F3\FLOW3\Cache\Backend\FileBackend::set("F3_FLOW3_Security_Authentication_Provider_PersistedUsernamePasswordProvider_A
AOPProxy_Development", "namespace F3\FLOW3\Security\Authentication\Provide…                    }⏎                }⏎            }⏎        }⏎       
return $adviceChains;⏎    }⏎}", array, NULL)
5
F3\FLOW3\Cache\Frontend\StringFrontend::set("F3_FLOW3_Security_Authentication_Provider_PersistedUsernamePasswordProvider
r_AOPProxy_Development", "namespace F3\FLOW3\Security\Authentication\Provide…                    }⏎                }⏎            }⏎        }⏎   
    return $adviceChains;⏎    }⏎}", array)
4 F3\FLOW3\AOP\Framework::initialize(array)
3 F3\FLOW3\Core\Bootstrap::initializeAOP()
2 F3\FLOW3\Core\Bootstrap::initialize()
1 require("C:\xampp\htdocs\FLOW3\Packages\Framework\FLOW3\Scripts\FLOW3.php")

Why does it say "No such file or directory in..."?

History
#1 - 2010-02-18 19:31 - Karsten Dambekalns
- Status changed from New to Resolved
- Assigned To set to Karsten Dambekalns

The path it tries to touch is too long for windows. Try setting the path to the temporary dir to something shorter, like c:\tmp

#2 - 2010-02-18 19:34 - Simon Schaufelberger
yes i know that i need to do that in windows but the error message is still wrong. is it possible to check the path length and throw an error if it is too
long?

#3 - 2010-02-18 21:17 - Karsten Dambekalns

Possible, yes. But no longer needed with the new file caching backend available in SVN - paths are much shorter there. And the wrong error message
should be fixed in PHP :)

2015-08-03 2/2


